Bug 473558 - error architecture on keyboard ppc/i386
error architecture on keyboard ppc/i386
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
10
ppc Linux
medium Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 06:38 EST by Gianluca D'Andrea
Modified: 2009-12-18 02:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:01:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gianluca D'Andrea 2008-11-29 06:38:05 EST
Description of problem:

to boot my pc (ppc 32bit 733 Mhz) hangs on Loading /lib/kbd/keymaps/i386/qwerty/it.map.gz

Steps to Reproduce:

1. loadkeys mac-it
2. Loading /lib/kbd/keymaps/mac/all/mac-it.map.gz
3. config-keyboard (i have select ita)
4. system-config-keyboard
5. Loading /lib/kbd/keymaps/i386/qwerty/it.map.gz (The bug is that chooses i386 instead ppc)
Comment 1 Gianluca D'Andrea 2008-11-29 06:41:35 EST
[karnhack@localhost ~]$ ls /lib/kbd/keymaps/ppc/all/
mac-be.map.gz                    mac-es.map.gz            mac-se.map.gz
mac-de_CH.map.gz                 mac-fi-latin1.map.gz     mac-template.map.gz
mac-de-latin1.map.gz             mac-fr_CH-latin1.map.gz  mac-uk.map.gz
mac-de-latin1-nodeadkeys.map.gz  mac-fr.map.gz            mac-us.map.gz
mac-dk-latin1.map.gz             mac-it.map.gz
mac-dvorak.map.gz                mac-pt-latin1.map.gz
Comment 2 Bernard Johnson 2008-11-29 12:48:20 EST
Taking a guess at the most likely package this should be filed against.
Comment 3 ^mp3axe^ 2009-02-25 14:36:02 EST
I am seeing this for the US version as well.

I have 2 PowerBook G4 12" macs.  Here is how they are set up:
- originally used Apple's disk utility to zero write the hdd
- partitioned 30gb Apple OSX, 10gb Fedora 10
- installed OSX first, installed latest updates
- then installed Fedora 10 PPC
  a) both machines I had default partition 
  b) both machines unchecked option for any optional packages
  c) one machine used fedora online and upgrade repos
  d) the other machine used default CD packages
  e) both machines are using latest kernel

Description of bug:
On every other reboot, screen hangs with large blue text "Loading /lib/kbd/keymaps/i386/qwerty/us.map"

Note:
I have a 3rd G4 PPC that isn't dual booted.  Here is how it is set up:
- originally used Apple's disk utility to zero write the hdd
- Paritioned completely for Fedora 10
- then installed Fedora 10 PPC with upgrade and fedora repo
On this machine, I see "Loading /lib/kbd/keymaps/i386/qwerty/us.map", BUT THERE IS NO HANG.  

Please let me know what information is needed, or what the next step is.
Comment 4 Rémy CLOUARD 2009-07-19 04:02:27 EDT
still valid as of today with a Powermac 7.3 running f10, boot randomly hangs on this error, even trying to boot with the failsafe option
Comment 5 Bug Zapper 2009-11-18 03:00:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:01:43 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.